function loadhearts()
   minheartGenerationTime = 10
   maxheartGenerationTime = 30
   heartTimer = math.random(minheartGenerationTime, maxheartGenerationTime)

   heartImages = {
      love.graphics.newImage('live.png')
      
   }

   hearts = {}
end

function heartGenerator()
   local heart = {
      x = SCREEN_WIDTH,
      y = math.random(Ovie.y - 250, Ovie.y + 250),
      speed = 200,
      image = heartImages[math.random(1, #heartImages)]

   }

   return heart
end

function updatehearts(dt)
   for _, heart in ipairs(hearts) do
      heart.x = heart.x - heart.speed * dt
   end

   heartTimer = heartTimer - dt   

   if heartTimer <= 0 then
      table.insert(hearts, heartGenerator())
      heartTimer = math.random(minheartGenerationTime, maxheartGenerationTime)
      
   end

   for i = #hearts, 1, -1 do
      if hearts[i].x + hearts[i].image:getWidth() <= 0 then
        table.remove(hearts, i)
      end
   end

end
function drawhearts()
   
   for _, heart in ipairs(hearts) do
      love.graphics.draw(heart.image, heart.x, heart.y)
end
end
